Library Version 18.1.40

DB_SEQUENCE->get_dbp()
Prev | Chapter 11. The DB_SEQUENCE Handle | Next

## DB_SEQUENCE->get_dbp()

    #include <db.h>

    int
    DB_SEQUENCE->get_dbp(DB_SEQUENCE *seq, DB **dbp);

The `DB_SEQUENCE->get_dbp()` method returns the database handle used by the sequence.

The `DB_SEQUENCE->get_dbp()` method may be called at any time during the life of the application.

The `DB_SEQUENCE->get_dbp()` method returns a non-zero error value on failure and 0 on success.

### Parameters

#### dbp

The dbp parameter references memory into which a pointer to the database handle is copied.

### Class

DB_SEQUENCE

### See Also

Sequences and Related Methods

Prev | Up | Next
DB_SEQUENCE->get_cachesize() | Home | DB_SEQUENCE->get_flags()